%define _buildid .4

# Copyright 2010-2011 Amazon.com, Inc. or its affiliates.  All Rights Reserved.
#
# Licensed under the Amazon Software License (the "License").  You may not use
# this file except in compliance with the License. A copy of the License is
# located at http://aws.amazon.com/asl or in the "license" file accompanying
# this file.  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
# OR CONDITIONS OF ANY KIND, either express or implied. See the License for
# the specific language governing permissions and limitations under the License.

Name:      get_reference_source 
Summary:   A tool to download any Amazon.com supplied source rpm
Version:   1.2
Release: 0%{?_buildid}%{?dist}
License:   Amazon Software License 
Group:	   System Tools
Source0:   get_reference_source 
URL:       N/A 
BuildArch: noarch	
Provides:  get-reference-source

%description
get_reference_source is a script enabling users of the Amazon Linux AMI to
request and download source rpm's for packages in the AMI.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/get_reference_source
install -m1777 -d $RPM_BUILD_ROOT%{_usrsrc}/srpm/debug

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/get_reference_source
%dir %{_usrsrc}/srpm/debug

%changelog
* %(/bin/date +'%%a %%b %%d %%Y') Amazon Web Services %{name}-%{version}-%{release}
- build package
